# Palisade API The Palisade API enables programmatic interaction with the various features of the Palisade platform Version: 2.0 ## Servers Sandbox server (uses TESTNET data, private keys and accounts) ``` https://api.sandbox.palisade.co ``` Palisade server (uses MAINNET data, private keys and accounts) ``` https://api.palisade.co ``` ## Security ### TokenAuth Type: apiKey In: header Name: Authorization ## Download OpenAPI description [Palisade API](https://docs.ripple.com/_bundle/products/wallet/api-docs/palisade-api/palisade-api.yaml) ## Addresses Used to manage addresses ### List organization addresses - [GET /v2/addresses](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/addresses/counterpartyservice_listglobaladdresses.md): List all addresses within the organization ### List counterparty addresses - [GET /v2/counterparties/{counterpartyId}/addresses](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/addresses/counterpartyservice_listaddresses.md): List all addresses within a counterparty ### Create addresses - [POST /v2/counterparties/{counterpartyId}/addresses](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/addresses/counterpartyservice_createaddress.md): Create a new address ### Get addresses - [GET /v2/counterparties/{counterpartyId}/addresses/{addressId}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/addresses/counterpartyservice_getaddress.md): Get an address ### Delete addresses - [DELETE /v2/counterparties/{counterpartyId}/addresses/{addressId}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/addresses/counterpartyservice_deleteaddress.md): Delete an address ## API Credentials Used to manage credentials ### List all credentials - [GET /v2/credentials](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/api-credentials/credentialservice_listcredentials.md): List all credentials ### Create credentials - [POST /v2/credentials](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/api-credentials/credentialservice_createcredential.md): Create a set of API credentials ### List all credential info - [GET /v2/credentials/info](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/api-credentials/credentialservice_listcredentialinfo.md): List all credential info ### Client credentials exchange - [POST /v2/credentials/oauth/token](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/api-credentials/credentialservice_exchangecredential.md): OAuth client credentials exchange for access token ### List available permissions - [GET /v2/credentials/permissions](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/api-credentials/credentialservice_listvariants.md): List available permissions for the use with API credentials ### Get credentials - [GET /v2/credentials/{id}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/api-credentials/credentialservice_getcredential.md): Get a set of API credentials by ID ### Delete credential - [DELETE /v2/credentials/{id}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/api-credentials/credentialservice_deletecredential.md): Delete a specific set of API credentials ### Update credential active status - [PUT /v2/credentials/{id}/active](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/api-credentials/credentialservice_updatecredentialactivestatus.md): Update the active status on a specific set of API credentials ### Get credential info - [GET /v2/credentials/{id}/info](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/api-credentials/credentialservice_getcredentialinfo.md): Get a set of API credential info by ID ### Update credential permissions - [PUT /v2/credentials/{id}/permissions](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/api-credentials/credentialservice_updatecredentialpermissions.md): Update the permissions set on a specific set of API credentials ## Approvals Used to manage approvals ### List approval summaries - [GET /v2/approvals](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/approvals/approvalservice_listapprovalsummaries.md): Returns the list of approval summaries for the current user ### Get approval summary - [GET /v2/approvals/{id}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/approvals/approvalservice_getapprovalsummary.md): Returns a specific approval summary for the current user ### Update approval summary - [PUT /v2/approvals/{id}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/approvals/approvalservice_updateapproval.md): Update the approval summary to either approve or reject the request ## Approvers Used to manage approvers ### List organization approvers - [GET /v2/approvers](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/approvers/approvalservice_getorgapprovers.md): Returns the list of approvers within the approval set configured for the organization and optionally source type ### Update organization approvers - [PUT /v2/approvers](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/approvers/approvalservice_updateorgapprovers.md): Updates the list of approvers within the approval set configured for the organization and source type ### List eligible approvers - [GET /v2/approvers/eligible](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/approvers/approvalservice_listeligibleapprovers.md): Returns the list of eligible approvers ### List wallet approvers - [GET /v2/approvers/{id}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/approvers/approvalservice_getkeyapprovers.md): Returns the list of approvers within the approval set configured for the wallet and optionally source type ### Update wallet approvers - [PUT /v2/approvers/{id}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/approvers/approvalservice_updatekeyapprovers.md): Updates the list of approvers within the approval set configured for the wallet and source type ## Audit Used to manage configuration for audit ### Get the Firehose configuration for streaming audit events - [GET /v2/audit/firehose/configuration](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/audit/auditservice_getfirehoseconfiguration.md): Get the Firehose configuration for streaming audit events ### Set the Firehose configuration for streaming audit events - [PUT /v2/audit/firehose/configuration](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/audit/auditservice_setfirehoseconfiguration.md): Set the Firehose configuration for streaming audit events ## Backup Used to manage backups ### List all backup strategies - [GET /v2/backup/strategies](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/backup/backupservice_listbackupstrategies.md): Retrieves all backup strategies for the authenticated organization ### Create a new backup strategy - [POST /v2/backup/strategies](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/backup/backupservice_createbackupstrategy.md): Creates a new backup strategy with the provided name and backup keys ### Get a backup strategy by ID - [GET /v2/backup/strategies/{id}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/backup/backupservice_getbackupstrategy.md): Retrieves a specific backup strategy using its unique identifier ## Balances Used to view balances ### Get Organization Balances - [GET /v2/balances](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/balances/balanceservice_getorgbalances.md): Get the balance of an organization ### Get Vault Balances - [GET /v2/vaults/{vaultId}/balances](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/balances/balanceservice_getvaultbalances.md): Get the balances of a vault ### Get Wallet Balances - [GET /v2/vaults/{vaultId}/wallets/{walletId}/balances](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/balances/balanceservice_getwalletbalances.md): Get the balances of a wallet ### Sync Wallet Balances - [POST /v2/vaults/{vaultId}/wallets/{walletId}/balances/sync](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/balances/balanceservice_syncwalletbalances.md): Trigger a refresh of the balances for a wallet. Note: This only syncs balances for assets already known to the system. It will not discover new tokens that were received but not yet tracked. ## Compliance Used to manage compliance ### Search for VASPs - [GET /v2/notabene/search](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/compliance/complianceservice_getnotabenevaspsearch.md): Search for VASPs using the notabene search endpoint ### Create customer tokens - [GET /v2/notabene/token](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/compliance/complianceservice_getnotabenecustomertoken.md): Create a new notabene customer token ## Counterparties Used to manage counterparties ### List counterparties - [GET /v2/counterparties](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/counterparties/counterpartyservice_listcounterparties.md): List counterparties ### Create counterparties - [POST /v2/counterparties](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/counterparties/counterpartyservice_createcounterparty.md): Create a new counterparty ### Get counterparties - [GET /v2/counterparties/{id}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/counterparties/counterpartyservice_getcounterparty.md): Get a counterparty ### Delete counterparties - [DELETE /v2/counterparties/{id}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/counterparties/counterpartyservice_deletecounterparty.md): Delete a counterparty ### Update counterparties - [PUT /v2/counterparties/{id}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/counterparties/counterpartyservice_updatecounterparty.md): Update a counterparty ## Devices Used to manage devices ### List all devices - [GET /v2/devices](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/devices/deviceservice_listdevices.md): List all devices associated with a user or organization ### Create a new device - [POST /v2/devices](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/devices/deviceservice_createdevice.md): Create a new device in your organization ready to pair with a physical device ### Get device credentials - [GET /v2/devices/credentials](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/devices/deviceservice_getdevicecredentials.md): Get device credentials for the device specified in the JWT ### Add device metadata - [POST /v2/devices/metadata](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/devices/deviceservice_adddevicemetadata.md): Add key/value metadata to the device specified in the JWT ### Pair a device with an organization - [POST /v2/devices/pair-with-credential](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/devices/deviceservice_pairdevicewithcredential.md): Pair the device specified in the JWT ### Get push notification token - [GET /v2/devices/push-token](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/devices/deviceservice_getpushtoken.md): Get a new push notification token for the device specified in the JWT ### Get device - [GET /v2/devices/self](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/devices/deviceservice_getself.md): Get the device specified in the JWT ### Set device version - [POST /v2/devices/version](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/devices/deviceservice_setdeviceversion.md): Set the version of the device specified in the JWT ### Get a device - [GET /v2/devices/{id}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/devices/deviceservice_getdevice.md): Get a specific device by ID ### Delete a device - [DELETE /v2/devices/{id}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/devices/deviceservice_deletedevice.md): Delete a specific device by ID. This action can only be performed for unapproved devices at this time. ### Update device approval status - [PUT /v2/devices/{id}/approval-status](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/devices/deviceservice_updatedeviceapprovalstatus.md): Update the approval status of a device by ID ### Update device display name - [PUT /v2/devices/{id}/display-name](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/devices/deviceservice_updatedevicedisplayname.md): Update the display name of a device by ID ### Update device enabled status - [PUT /v2/devices/{id}/enabled-status](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/devices/deviceservice_updatedeviceenabledstatus.md): Update the enabled status of a device by ID ### Get device pairing credentials - [GET /v2/devices/{id}/pairing-credentials](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/devices/deviceservice_getdevicepairingcredentials.md): Get a new set of pairing credentials for a device by ID ### Trust organization - [POST /v2/devices/{id}/trust-organization](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/devices/deviceservice_trustorganization.md): Trust a new organization to use this device in it's controls ## Information Used to view information about the platform ### List Supported Assets - [GET /v2/info/supported-assets](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/information/balanceservice_listsupportedassets.md): Get the list of supported assets ### List Supported Currencies - [GET /v2/info/supported-currencies](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/information/balanceservice_listsupportedcurrencies.md): Get the list of supported currencies ## MPC - Memberships Used to manage MPC memberships ### List memberships for device - [GET /v2/mpc/device/memberships](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/mpc-memberships/mpcservice_listmembershipsfordevice.md): List memberships for device ### List memberships for quorum - [GET /v2/mpc/memberships/{quorumId}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/mpc-memberships/mpcservice_listmembershipsforquorum.md): List memberships for quorum ## MPC - Quorums Used to manage MPC quorums ### List eligible devices - [GET /v2/mpc/eligible](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/mpc-quorums/mpcservice_listeligibledevices.md): List eligible devices ### List quorums - [GET /v2/mpc/quorums](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/mpc-quorums/mpcservice_listquorums.md): List quorums with the client JWT ### Create a new quorum - [POST /v2/mpc/quorums](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/mpc-quorums/mpcservice_createquorum.md): Create a new quorum ### List quorums - [GET /v2/mpc/quorums/self](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/mpc-quorums/mpcservice_listquorumsbydevice.md): List quorums with the device JWT ### Get a quorum - [GET /v2/mpc/quorums/{quorumId}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/mpc-quorums/mpcservice_getquorum.md): Get a quorum ### Delete a quorum - [DELETE /v2/mpc/quorums/{quorumId}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/mpc-quorums/mpcservice_deletequorum.md): Delete a quorum ### Modify an existing quorum - [PATCH /v2/mpc/quorums/{quorumId}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/mpc-quorums/mpcservice_modifyquorum.md): Modify an existing quorum ### Poll quorum status - [GET /v2/mpc/quorums/{quorumId}/status](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/mpc-quorums/mpcservice_pollquorumstatus.md): Poll quorum status ## MPC - Sessions Used to manage MPC sessions ### List sessions for device - [GET /v2/mpc/device/sessions](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/mpc-sessions/mpcservice_listsessionsfordevice.md): List sessions for device ### Get session - [GET /v2/mpc/device/sessions/{sessionId}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/mpc-sessions/mpcservice_getsession.md): Get session ### Get device session data - [GET /v2/mpc/device/sessions/{sessionId}/data](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/mpc-sessions/mpcservice_getdevicesessiondata.md): Get device session data ### Submit session - [PATCH /v2/mpc/device/{sessionId}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/mpc-sessions/mpcservice_submitsession.md): Submit session ### List session sets - [GET /v2/mpc/sessions/{quorumId}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/mpc-sessions/mpcservice_listsessionsets.md): List session sets ### Poll session set status - [GET /v2/mpc/sessions/{sessionSetId}/status](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/mpc-sessions/mpcservice_pollsessionsetstatus.md): Poll session set status ## Organizations Used to manage organizations ### Get organization - [GET /v2/organizations](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/organizations/accountservice_getorganization.md): Get an organization ### List authentication methods - [GET /v2/organizations/auth-methods](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/organizations/accountservice_listorganizationauthmethods.md): List an organizations authentication methods ### Get an authentication method - [GET /v2/organizations/auth-methods/{id}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/organizations/accountservice_getorganizationauthmethod.md): Get a specific organization authentication method ### Delete an authentication method - [DELETE /v2/organizations/auth-methods/{id}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/organizations/accountservice_deleteorganizationauthmethod.md): Delete a specific organization authentication method ### Set default authentication method - [PUT /v2/organizations/auth-methods/{id}/default](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/organizations/accountservice_setdefaultorganizationauthmethod.md): Set the default authentication method for an organization ### Update authentication method IDP settings - [PUT /v2/organizations/auth-methods/{id}/idp](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/organizations/accountservice_updateorganizationauthmethodidpsettings.md): Update the IDP settings for an authentication method ### Generate a self service SSO ticket - [POST /v2/organizations/self-service-sso-ticket](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/organizations/accountservice_generateselfservicessoticket.md): Generate a self service ticket to setup SSO ## Policies Used to manage connections policies ### List organization wallet limits - [GET /v2/policy-rules/limits](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/policies/policyservice_listglobalwalletlimits.md): List all wallet limits within the organization ### List wallet limit policies - [GET /v2/vaults/{vaultId}/wallets/{walletId}/policy-rules/limits](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/policies/policyservice_listwalletlimits.md): List wallet limit policies for the specified wallet ### Create a wallet limit policy - [PUT /v2/vaults/{vaultId}/wallets/{walletId}/policy-rules/limits](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/policies/policyservice_createwalletlimit.md): Create a wallet limit policy for the specified wallet ### Get a wallet limit policy - [GET /v2/vaults/{vaultId}/wallets/{walletId}/policy-rules/limits/{id}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/policies/policyservice_getwalletlimit.md): Get the specified wallet limit policy ### Delete a wallet limit policy - [DELETE /v2/vaults/{vaultId}/wallets/{walletId}/policy-rules/limits/{id}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/policies/policyservice_deletewalletlimit.md): Delete the specified wallet limit policy ### List permitted destinations - [GET /v2/vaults/{vaultId}/wallets/{walletId}/policy-rules/permitted-destinations](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/policies/policyservice_listpermitteddestinations.md): List all permitted destinations for this wallet ## Rates Used to retrieve rates ### Get rates - [GET /v2/rates](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/rates/balanceservice_getrate.md): Get the rate of a currency pair ## Sweep Configurations Used to manage sweep configurations ### List sweep configurations - [GET /v2/workflows/sweep](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/sweep-configurations/sweepservice_listsweepconfigurations.md): List sweep configurations ### Create sweep configuration - [POST /v2/workflows/sweep](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/sweep-configurations/sweepservice_createsweepconfiguration.md): Create a new sweep configuration ### Get sweep configuration - [GET /v2/workflows/sweep/{id}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/sweep-configurations/sweepservice_getsweepconfiguration.md): Get a single sweep configuration based on its ID ### Delete sweep configuration - [DELETE /v2/workflows/sweep/{id}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/sweep-configurations/sweepservice_deletesweepconfiguration.md): Delete a single sweep configuration based on its ID ### Update sweep configuration - [PUT /v2/workflows/sweep/{id}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/sweep-configurations/sweepservice_updatesweepconfiguration.md): Update an existing sweep configuration ### Disable sweep configuration - [POST /v2/workflows/sweep/{id}/disable](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/sweep-configurations/sweepservice_disablesweepconfiguration.md): Disable a single sweep configuration based on its ID ### Enable sweep configuration - [POST /v2/workflows/sweep/{id}/enable](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/sweep-configurations/sweepservice_enablesweepconfiguration.md): Enable a single sweep configuration based on its ID ### Trigger a sweep configuration - [POST /v2/workflows/sweep/{id}/trigger](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/sweep-configurations/sweepservice_triggersweepconfiguration.md): Manually trigger a single sweep configuration based on its ID ## Tags Used to manage organization tags ### List all tags for the organization - [GET /v2/tags](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/tags/vaultservice_listglobaltags.md): List all wallet and vault tags for the organization ## Transactions Used to manage transactions ### Estimate the fee for a transfer transaction - [POST /v2/transactions/transfer/estimate-fee](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/transactions/transactionsservice_estimatetransferfee.md): Estimate the fee for a transfer transaction ### List wallet transactions - [GET /v2/vaults/{vaultId}/wallets/{walletId}/transactions](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/transactions/transactionsservice_listwallettransactions.md): List all transactions for a given wallet ### Create a new raw transaction - [POST /v2/vaults/{vaultId}/wallets/{walletId}/transactions/raw](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/transactions/transactionsservice_rawtransaction.md): Create a new raw transaction, and optionally publish it to the blockchain ### (BETA) Create a new sign plaintext transaction - [POST /v2/vaults/{vaultId}/wallets/{walletId}/transactions/sign-plaintext](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/transactions/transactionsservice_signplaintext.md): (BETA) Create a new sign plaintext transaction ### Create a new transfer transaction - [POST /v2/vaults/{vaultId}/wallets/{walletId}/transactions/transfer](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/transactions/transactionsservice_transfertransaction.md): Create a new transfer transaction ### Get a transaction - [GET /v2/vaults/{vaultId}/wallets/{walletId}/transactions/{transactionId}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/transactions/transactionsservice_gettransaction.md): Get a transaction by ID ### Freeze a transaction - [PUT /v2/vaults/{vaultId}/wallets/{walletId}/transactions/{transactionId}/freeze](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/transactions/transactionsservice_freezetransaction.md): Freeze a transaction by ID ### Unfreeze a transaction - [PUT /v2/vaults/{vaultId}/wallets/{walletId}/transactions/{transactionId}/unfreeze](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/transactions/transactionsservice_unfreezetransaction.md): Unfreeze a transaction by ID ## Transactions - XRP Used to manage XRP specific transactions ### Create a new XRP Account Set transaction - [POST /v2/vaults/{vaultId}/wallets/{walletId}/transactions/xrp/account-set](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/transactions-xrp/transactionsservice_submitaccountset.md): Create a new XRP Account Set transaction ### Create a new XRP AMM Create transaction - [POST /v2/vaults/{vaultId}/wallets/{walletId}/transactions/xrp/amm-create](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/transactions-xrp/transactionsservice_submitammcreate.md): Create a new XRP AMM Create transaction ### Create a new XRP AMM Deposit transaction - [POST /v2/vaults/{vaultId}/wallets/{walletId}/transactions/xrp/amm-deposit](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/transactions-xrp/transactionsservice_submitammdeposit.md): Create a new XRP AMM Deposit transaction ### Create a new XRP AMM Withdraw transaction - [POST /v2/vaults/{vaultId}/wallets/{walletId}/transactions/xrp/amm-withdraw](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/transactions-xrp/transactionsservice_submitammwithdraw.md): Create a new XRP AMM Withdraw transaction ### Create a new XRP Clawback transaction - [POST /v2/vaults/{vaultId}/wallets/{walletId}/transactions/xrp/clawback](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/transactions-xrp/transactionsservice_submitclawback.md): Create a new XRP Clawback transaction to recover issued tokens ### Create a new XRP Offer Cancel transaction - [POST /v2/vaults/{vaultId}/wallets/{walletId}/transactions/xrp/offer-cancel](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/transactions-xrp/transactionsservice_submitoffercancel.md): Create a new XRP Offer Cancel transaction ### Create a new XRP Offer Create transaction - [POST /v2/vaults/{vaultId}/wallets/{walletId}/transactions/xrp/offer-create](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/transactions-xrp/transactionsservice_submitoffercreate.md): Create a new XRP Offer Create transaction ### Create a new XRP SignerList Set transaction - [POST /v2/vaults/{vaultId}/wallets/{walletId}/transactions/xrp/signer-list-set](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/transactions-xrp/transactionsservice_submitsignerlistset.md): Create a new XRP SignerList Set transaction ### Create a new XRP Trust Set transaction - [POST /v2/vaults/{vaultId}/wallets/{walletId}/transactions/xrp/trust-set](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/transactions-xrp/transactionsservice_submittrustset.md): Create a new XRP Trust Set transaction ## Users Used to manage users ### List users - [GET /v2/users](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/users/accountservice_listusers.md): List users ### Create a user - [POST /v2/users](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/users/accountservice_createuser.md): Create a new user ### List user info - [GET /v2/users/info](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/users/accountservice_listuserinfo.md): List user info ### Get user - [GET /v2/users/{id}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/users/accountservice_getuser.md): Get a user ### Delete users - [DELETE /v2/users/{id}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/users/accountservice_deleteuser.md): Delete a user ### Update users - [PUT /v2/users/{id}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/users/accountservice_updateuser.md): Update a user ### Get user info - [GET /v2/users/{id}/info](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/users/accountservice_getuserinfo.md): Get a users info ### List authentication methods - [GET /v2/users/{id}/mfa](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/users/accountservice_listuserauthmethods.md): List a users authentication methods ### Delete authentication methods - [DELETE /v2/users/{id}/mfa](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/users/accountservice_deleteuserauthmethods.md): Delete all authentication methods for a user ### Trigger password reset - [POST /v2/users/{id}/password](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/users/accountservice_triggerpasswordreset.md): Triggers a password reset and sends an email to the user ### Update user role - [PUT /v2/users/{id}/role](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/users/accountservice_updateuserrole.md): Update a users role ### Update user status - [PUT /v2/users/{id}/status](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/users/accountservice_updateuserstatus.md): Update a users status ## Vaults Used to manage vaults ### List vaults - [GET /v2/vaults](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/vaults/vaultservice_listvaults.md): List all vaults within the organization ### Create a vault - [POST /v2/vaults](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/vaults/vaultservice_createvault.md): Create a new vault ### Get a vault - [GET /v2/vaults/{id}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/vaults/vaultservice_getvault.md): Get a vault by ID ### Update a vault - [PUT /v2/vaults/{id}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/vaults/vaultservice_updatevault.md): Update a vault's name and description by ID ## Vault Tags Used to manage vault tags ### List all vault tags for the organization - [GET /v2/vaults/tags](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/vault-tags/vaultservice_listglobalvaulttags.md): List all vault tags for the organization ### List tags for the vault - [GET /v2/vaults/{vaultId}/tags](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/vault-tags/vaultservice_listvaulttags.md): List all tags for the vault ### Delete a vault tag - [DELETE /v2/vaults/{vaultId}/tags](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/vault-tags/vaultservice_deletevaulttag.md): Delete a vault tag from a vault ### Add a new vault tag - [POST /v2/vaults/{vaultId}/tags](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/vault-tags/vaultservice_addvaulttag.md): Add a new vault tag to a vault ## Wallets Used to manage wallets ### List vault wallets - [GET /v2/vaults/{vaultId}/wallets](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/wallets/vaultservice_listvaultwallets.md): List all wallets within a vault ### Create a wallet - [POST /v2/vaults/{vaultId}/wallets](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/wallets/vaultservice_createwallet.md): Create a new HSM or MPC wallet within a vault ### Get a wallet - [GET /v2/vaults/{vaultId}/wallets/{walletId}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/wallets/vaultservice_getwallet.md): Get a wallet by ID ### Delete a wallet - [DELETE /v2/vaults/{vaultId}/wallets/{walletId}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/wallets/vaultservice_deletewallet.md): Delete a wallet by ID (A wallet can only be deleted if it is in PROVISIONING_FAILED status) ### Update a wallet - [PUT /v2/vaults/{vaultId}/wallets/{walletId}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/wallets/vaultservice_updatewallet.md): Update a wallet's name and description by ID ### Get a wallet nonce/sequence - [GET /v2/vaults/{vaultId}/wallets/{walletId}/sequence](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/wallets/vaultservice_getwalletsequence.md): Get blockchain nonce/sequence of a specific wallet by ID ### Update a wallet's settings - [PUT /v2/vaults/{vaultId}/wallets/{walletId}/settings](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/wallets/vaultservice_updatewalletsettings.md): Update a wallet's settings by ID ### List organization wallets - [GET /v2/wallets](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/wallets/vaultservice_listglobalwallets.md): List all wallets within the organization ### Get a wallet by ID - [GET /v2/wallets/{id}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/wallets/vaultservice_getwalletbyid.md): Get a wallet by its unique ID ## Wallet Tags Used to manage wallet tags ### List all wallet tags in vault - [GET /v2/vaults/{vaultId}/wallets/tags](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/wallet-tags/vaultservice_listwallettagsinvault.md): List all tags from all wallets in the vault ### List wallet tags for the wallet - [GET /v2/vaults/{vaultId}/wallets/{walletId}/tags](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/wallet-tags/vaultservice_listwallettags.md): List all wallet tags for the wallet ### Delete a wallet tag - [DELETE /v2/vaults/{vaultId}/wallets/{walletId}/tags](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/wallet-tags/vaultservice_deletewallettag.md): Delete a wallet tag from a wallet ### Add a new wallet tag - [POST /v2/vaults/{vaultId}/wallets/{walletId}/tags](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/wallet-tags/vaultservice_addwallettag.md): Add a new wallet tag to a wallet ## Wallet Connect Used to manage connections ### List connections for the organization - [GET /v2/connections](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/wallet-connect/walletconnectservice_listglobalconnections.md): List all wallet connect connections for the organization ### List connections for the wallet - [GET /v2/vaults/{vaultId}/wallets/{walletId}/connections](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/wallet-connect/walletconnectservice_listconnections.md): List all wallet connect connections for the wallet ### Propose a new wallet connect connection - [POST /v2/vaults/{vaultId}/wallets/{walletId}/connections](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/wallet-connect/walletconnectservice_createconnection.md): Proposes a new wallet connect connection using the provided URI ### Get a wallet connect connection - [GET /v2/vaults/{vaultId}/wallets/{walletId}/connections/{id}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/wallet-connect/walletconnectservice_getconnection.md): Get a wallet connect connection by ID ### Accept a wallet connect connection - [PUT /v2/vaults/{vaultId}/wallets/{walletId}/connections/{id}/accept](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/wallet-connect/walletconnectservice_acceptconnection.md): Accept a wallet connect connection by ID ### Disconnects a wallet connect connection - [PUT /v2/vaults/{vaultId}/wallets/{walletId}/connections/{id}/disconnect](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/wallet-connect/walletconnectservice_disconnectconnection.md): Disconnects a wallet connect connection by ID ### Reject a wallet connect connection - [PUT /v2/vaults/{vaultId}/wallets/{walletId}/connections/{id}/reject](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/wallet-connect/walletconnectservice_rejectconnection.md): Reject a wallet connect connection by ID ## Webhooks Used to manage webhooks ### List webhooks - [GET /v2/webhooks](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/webhooks/webhookservice_listwebhooks.md): List webhooks ### Create webhooks - [POST /v2/webhooks](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/webhooks/webhookservice_createwebhook.md): Create a new webhook ### Get webhooks - [GET /v2/webhooks/{id}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/webhooks/webhookservice_getwebhook.md): Get a single webhook based on its ID ### Delete webhooks - [DELETE /v2/webhooks/{id}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/webhooks/webhookservice_deletewebhook.md): Delete a single webhook based on its ID ### List subscriptions - [GET /v2/webhooks/{webhookId}/subscriptions](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/webhooks/webhookservice_listsubscriptions.md): List subscriptions ### Create webhook subscriptions - [POST /v2/webhooks/{webhookId}/subscriptions](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/webhooks/webhookservice_createsubscriptions.md): Create one or more new webhook subscription ### Get subscriptions - [GET /v2/webhooks/{webhookId}/subscriptions/{subscriptionId}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/webhooks/webhookservice_getsubscription.md): Get a single subscription based on its ID ### Delete subscriptions - [DELETE /v2/webhooks/{webhookId}/subscriptions/{subscriptionId}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/webhooks/webhookservice_deletesubscription.md): Delete a single subscription based on its ID ## Registry ### List assets - [GET /v2/assets](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/registry/registryservice_listassets2.md): List assets with advanced filtering and search. Supports both GET (bookmarkable) and POST (complex filters). ### Create a new asset - [POST /v2/assets](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/registry/registryservice_createasset.md): Create a new asset in the registry ### Get an asset - [GET /v2/assets/{id}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/registry/registryservice_getasset.md): Get asset configuration by ID ### Delete an asset - [DELETE /v2/assets/{id}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/registry/registrymanagementservice_managementdeleteasset.md): Soft delete an asset from the registry ### Update an asset - [PATCH /v2/assets/{id}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/registry/registrymanagementservice_managementupdateasset.md): Update an existing asset in the registry ### List assets - [POST /v2/assets:list](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/registry/registryservice_listassets.md): List assets with advanced filtering and search. Supports both GET (bookmarkable) and POST (complex filters). ### List blockchains - [GET /v2/blockchains](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/registry/registryservice_listblockchains2.md): List blockchains with advanced filtering. Supports both GET (bookmarkable) and POST (complex filters). ### Create a new blockchain - [POST /v2/blockchains](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/registry/registrymanagementservice_managementcreateblockchain.md): Create a new blockchain configuration in the registry ### Get a blockchain - [GET /v2/blockchains/{id}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/registry/registryservice_getblockchain.md): Get blockchain configuration by ID ### Delete a blockchain - [DELETE /v2/blockchains/{id}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/registry/registrymanagementservice_managementdeleteblockchain.md): Soft delete a blockchain from the registry ### Update a blockchain - [PATCH /v2/blockchains/{id}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/registry/registrymanagementservice_managementupdateblockchain.md): Update an existing blockchain configuration ### List blockchains - [POST /v2/blockchains:list](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/registry/registryservice_listblockchains.md): List blockchains with advanced filtering. Supports both GET (bookmarkable) and POST (complex filters). ### List currencies - [GET /v2/currencies](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/registry/registryservice_listcurrencies2.md): List currencies with advanced filtering. Supports both GET (bookmarkable) and POST (complex filters). ### Create a new currency - [POST /v2/currencies](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/registry/registrymanagementservice_managementcreatecurrency.md): Create a new currency in the registry ### Get a currency - [GET /v2/currencies/{code}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/registry/registryservice_getcurrency.md): Get currency configuration by code ### Delete a currency - [DELETE /v2/currencies/{code}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/registry/registrymanagementservice_managementdeletecurrency.md): Soft delete a currency from the registry ### Update a currency - [PATCH /v2/currencies/{code}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/registry/registrymanagementservice_managementupdatecurrency.md): Update an existing currency in the registry ### List currencies - [POST /v2/currencies:list](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/registry/registryservice_listcurrencies.md): List currencies with advanced filtering. Supports both GET (bookmarkable) and POST (complex filters). ### Get import history - [GET /v2/sync/imports](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/registry/registrymanagementservice_managementgetimporthistory.md): Get the history of sync import operations ### Get import details - [GET /v2/sync/imports/{importId}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/registry/registrymanagementservice_managementgetimport.md): Get details of a specific import operation ### Get sync status - [GET /v2/sync/status](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/registry/registrymanagementservice_managementgetsyncstatus.md): Get the current status of the sync scheduler ### Trigger asset sync - [POST /v2/sync:trigger](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/registry/registrymanagementservice_managementtriggersync.md): Manually trigger a synchronization of assets from CoinGecko ## Transactions - Sweep ### List transactions for a sweep instance - [GET /v2/transactions/sweep/{sweepId}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/transactions-sweep/transactionsservice_listsweepinstancetransactions.md): List all transactions for a given sweep instance ## Sweep Instances ### Get sweep instance by ID - [GET /v2/workflows/sweep/instances/{id}](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/sweep-instances/sweepservice_sweepinstancebyid.md): Get a single sweep instance by its ID ### List sweep instances - [GET /v2/workflows/sweep/{sweepConfigurationId}/instances](https://docs.ripple.com/products/wallet/api-docs/palisade-api/palisade-api/sweep-instances/sweepservice_listsweepinstances.md): List sweep instances for a sweep configuration